"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyRequestQueryMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../../container/container.const");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyRequestQueryMapper = /** @class */ (function () {
    function EmpathyRequestQueryMapper(config) {
        this.queryConfig = config.mappings.query;
    }
    EmpathyRequestQueryMapper.prototype.map = function (_, query) {
        return this.normalizeQuery(query);
    };
    EmpathyRequestQueryMapper.prototype.normalizeQuery = function (query) {
        return query
            .split(/\s+/)
            .slice(0, this.queryConfig.maxWords)
            .join(' ')
            .slice(0, this.queryConfig.maxLength);
    };
    EmpathyRequestQueryMapper = tslib_1.__decorate([
        (0, inversify_1.injectable)(),
        tslib_1.__param(0, (0, inversify_1.inject)(container_const_1.DEPENDENCIES.config)),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], EmpathyRequestQueryMapper);
    return EmpathyRequestQueryMapper;
}());
exports.EmpathyRequestQueryMapper = EmpathyRequestQueryMapper;
//# sourceMappingURL=empathy-request-query.mapper.js.map