"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyFacetMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../../container/container.const");
/**
 * Generic Empathy facet mapper.
 *
 * @public
 */
var EmpathyFacetMapper = /** @class */ (function () {
    function EmpathyFacetMapper(config) {
        this.facetsConfig = config.mappings.facets;
    }
    EmpathyFacetMapper.prototype.map = function (rawFacet, facet, context) {
        var modelName = (this.facetsConfig.named[rawFacet.facet] || this.facetsConfig.default).modelName;
        return Object.assign(facet, {
            id: rawFacet.facet,
            modelName: modelName,
            label: rawFacet.facet
        });
    };
    EmpathyFacetMapper = tslib_1.__decorate([
        (0, inversify_1.injectable)(),
        tslib_1.__param(0, (0, inversify_1.inject)(container_const_1.DEPENDENCIES.config)),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], EmpathyFacetMapper);
    return EmpathyFacetMapper;
}());
exports.EmpathyFacetMapper = EmpathyFacetMapper;
//# sourceMappingURL=empathy-facet.mapper.js.map