"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathySuggestionFacetsMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../../container/container.const");
var pipe_mappers_1 = require("../../pipe-mappers");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathySuggestionFacetsMapper = /** @class */ (function () {
    function EmpathySuggestionFacetsMapper(facetMappers) {
        this.mapFacet = pipe_mappers_1.pipeMappers.apply(void 0, facetMappers);
    }
    EmpathySuggestionFacetsMapper.prototype.map = function (_a, suggestion, context) {
        var facets = _a.facets;
        return Object.assign(suggestion, {
            facets: facets ? this.generateFacets(facets, context) : []
        });
    };
    EmpathySuggestionFacetsMapper.prototype.generateFacets = function (rawFacets, context) {
        var _this = this;
        return rawFacets.map(function (rawFacet) {
            var mappedFacet = _this.mapFacet(rawFacet, {}, context);
            return mappedFacet;
        });
    };
    EmpathySuggestionFacetsMapper = tslib_1.__decorate([
        (0, inversify_1.injectable)(),
        tslib_1.__param(0, (0, inversify_1.multiInject)(container_const_1.DEPENDENCIES.ResponseMappers.facets)),
        tslib_1.__metadata("design:paramtypes", [Array])
    ], EmpathySuggestionFacetsMapper);
    return EmpathySuggestionFacetsMapper;
}());
exports.EmpathySuggestionFacetsMapper = EmpathySuggestionFacetsMapper;
//# sourceMappingURL=empathy-suggestion-facets.mapper.js.map