import { __decorate, __metadata, __param } from "tslib";
import { inject, injectable } from 'inversify';
import { DEPENDENCIES } from '../../../container/container.const';
/**
 * Generic Empathy facet mapper.
 *
 * @public
 */
var EmpathyFacetMapper = /** @class */ (function () {
    function EmpathyFacetMapper(config) {
        this.facetsConfig = config.mappings.facets;
    }
    EmpathyFacetMapper.prototype.map = function (rawFacet, facet, context) {
        var modelName = (this.facetsConfig.named[rawFacet.facet] || this.facetsConfig.default).modelName;
        return Object.assign(facet, {
            id: rawFacet.facet,
            modelName: modelName,
            label: rawFacet.facet
        });
    };
    EmpathyFacetMapper = __decorate([
        injectable(),
        __param(0, inject(DEPENDENCIES.config)),
        __metadata("design:paramtypes", [Object])
    ], EmpathyFacetMapper);
    return EmpathyFacetMapper;
}());
export { EmpathyFacetMapper };
//# sourceMappingURL=empathy-facet.mapper.js.map