import { __decorate, __metadata, __param } from "tslib";
import { inject, injectable } from 'inversify';
import { DEPENDENCIES } from '../container/container.const';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyEndpointsService = /** @class */ (function () {
    function EmpathyEndpointsService(config) {
        this.config = config;
    }
    EmpathyEndpointsService.prototype.buildUrl = function (rawUrl) {
        if (!rawUrl.startsWith('http')) {
            rawUrl = "https://".concat(rawUrl);
        }
        return rawUrl
            .replace(/{env}/g, this.config.env === 'live' ? '' : "-".concat(this.config.env))
            .replace(/{instance}/g, this.config.instance);
    };
    EmpathyEndpointsService = __decorate([
        injectable(),
        __param(0, inject(DEPENDENCIES.config)),
        __metadata("design:paramtypes", [Object])
    ], EmpathyEndpointsService);
    return EmpathyEndpointsService;
}());
export { EmpathyEndpointsService };
//# sourceMappingURL=empathy-endpoints.service.js.map