## API Report File for "@empathyco/x-adapter"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Container } from 'inversify';
import { interfaces } from 'inversify';
import { StorageService } from '@empathyco/x-storage-service';

// @public
export interface AncestorBinding {
    // (undocumented)
    default?: ClassBinding;
    // (undocumented)
    whenAnyAncestorIs: Dictionary<ClassBinding>;
}

// @public
export interface AncestorConstantBinding<T = any> {
    // (undocumented)
    toConstantWhenAnyAncestorIs: Dictionary<T>;
}

// @public
export class BeaconTrackingRequestor implements Requestor<TrackingRequest, Response | void> {
    constructor();
    // (undocumented)
    request(trackingRequest: TrackingRequest): Promise<Response | void>;
}

// @public
export type BeforeRequest<RawRequestType = any> = (context: BeforeRequestContext<RawRequestType>) => void;

// @public
export interface BeforeRequestContext<RawRequestType = any> {
    // (undocumented)
    [key: string]: any;
    // (undocumented)
    readonly feature: string;
    // (undocumented)
    rawRequest: RawRequestType;
    // (undocumented)
    request: Dictionary<string>;
    // (undocumented)
    readonly requestOptions: RequestOptions;
    // (undocumented)
    url: string;
}

// @public
export type BeforeResponseTransform<RawResponseType = any> = (context: BeforeResponseTransformContext<RawResponseType>) => void;

// @public
export interface BeforeResponseTransformContext<RawResponseType = any> extends BeforeRequestContext {
    // (undocumented)
    rawResponse: RawResponseType;
}

// @public
export type Binding = ClassBinding | ParentBinding | AncestorBinding | ConstantBinding | DynamicBinding;

// @public
export type BindingDictionary = Dictionary<Binding>;

// @public
export const BINDINGS: BindingDictionary;

// @public
export interface CacheService {
    // (undocumented)
    clear(): number;
    // (undocumented)
    getItem<T = any>(key: string): T | null;
    // (undocumented)
    removeItem<T = any>(key: string): T | null;
    // (undocumented)
    setItem<T = any>(key: string, item: T, ttlInMinutes: number): void;
}

// @public
export type ClassBinding = Newable<any> | Newable<any>[];

// @public
export interface ClicksRecommendationsRequest extends TrackableRequest, PageableRequest, UserContextRequest, ExtraParamsRequest {
    // (undocumented)
    productIds: string[];
    // (undocumented)
    section?: string;
}

// @public
export interface ClicksRecommendationsResponse extends TrackableShowResponse {
    // Warning: (ae-forgotten-export) The symbol "Result" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    results: Result[];
    // (undocumented)
    totalResults: number;
}

// @public
export type ConfigChangedListener<T> = (newConfig: T) => void;

// @public
export type ConstantBinding<T = any> = SimpleConstantBinding<T> | ParentConstantBinding<T> | AncestorConstantBinding<T>;

// @public
export class ContainerConfigParser {
    constructor(config: BindingDictionary, container?: Container);
    // (undocumented)
    parse(): Container;
}

// @public
export type ContextualBinding = ParentBinding | AncestorBinding;

// @public
export type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends Primitive ? T[P] : DeepPartial<T[P]>;
};

// @public
export const DEFAULT_CACHE_CONFIG: {
    TTLInMinutes: {
        Catalog: number;
        Side: number;
    };
};

// @public
export const DEFAULT_EMPATHY_ADAPTER_CONFIG: EmpathyAdapterConfig;

// @public
export const DEPENDENCIES: {
    httpClient: string;
    endpointsService: string;
    cacheService: string;
    storageService: string;
    config: string;
    entityMappers: string;
    featureName: string;
    requestMappers: string;
    requestors: string;
    Hooks: {
        beforeRequest: string;
        beforeResponseTransformed: string;
        responseTransformed: string;
    };
    Requestors: {
        search: string;
        nextQueries: string;
        topRecommendations: string;
        sectionRecommendations: string;
        clicksRecommendations: string;
        queriesRecommendations: string;
        userRecommendations: string;
        relatedTags: string;
        suggestions: string;
        searchById: string;
        track: string;
    };
    RequestMappers: {
        Parameters: {
            query: string;
            sort: string;
            filters: string;
            filtersValue: string;
        };
    };
    ResponseMappers: {
        Helpers: {
            tagging: string;
        };
        banners: string;
        facets: string;
        simpleFilter: string;
        hierarchicalFilter: string;
        numberRangeFilter: string;
        nextQueries: string;
        partialResults: string;
        promoteds: string;
        queryTagging: string;
        showTagging: string;
        redirections: string;
        relatedTags: string;
        results: string;
        spellcheck: string;
        suggestions: string;
        totalResults: string;
    };
};

// @public
export type Dictionary<T = any> = Record<string, T>;

// @public
export interface DynamicBinding<T = any> {
    // (undocumented)
    toDynamic: (context: interfaces.Context) => T;
}

// @public
export class EmpathyAdapter implements SearchAdapter<EmpathyAdapterConfig> {
    constructor(config: EmpathyAdapterConfig, requestors: Record<FeatureNames, Requestor>, cache: CacheService);
    // (undocumented)
    addConfigChangedListener(listener: EmpathyAdapterConfigChangedListener): void;
    // (undocumented)
    protected readonly cache: CacheService;
    // (undocumented)
    protected readonly config: EmpathyAdapterConfig;
    // (undocumented)
    protected configChangedListeners: Set<EmpathyAdapterConfigChangedListener>;
    // (undocumented)
    getClicksRecommendations(request: ClicksRecommendationsRequest, requestOptions?: RequestOptions): Promise<ClicksRecommendationsResponse>;
    // (undocumented)
    getNextQueries(request: NextQueriesRequest, requestOptions?: RequestOptions): Promise<NextQueriesResponse>;
    // (undocumented)
    getQueriesRecommendations(request: QueriesRecommendationsRequest, requestOptions?: RequestOptions): Promise<QueriesRecommendationsResponse>;
    // (undocumented)
    getRelatedTags(request: RelatedTagsRequest, requestOptions?: RequestOptions): Promise<RelatedTagsResponse>;
    // (undocumented)
    getSectionRecommendations(request: SectionRecommendationsRequest, requestOptions?: RequestOptions): Promise<SectionRecommendationsResponse>;
    // (undocumented)
    getSuggestions(request: SuggestionsRequest, requestOptions?: RequestOptions): Promise<SuggestionsResponse>;
    // (undocumented)
    getTopRecommendations(request: TopRecommendationsRequest, requestOptions?: RequestOptions): Promise<TopRecommendationsResponse>;
    // (undocumented)
    getUserRecommendations(request: UserRecommendationsRequest, requestOptions?: RequestOptions): Promise<UserRecommendationsResponse>;
    // (undocumented)
    invalidateCache(): void;
    // (undocumented)
    protected notifyConfigChangedListeners(): void;
    // (undocumented)
    removeConfigChangedListener(listener: EmpathyAdapterConfigChangedListener): void;
    // (undocumented)
    protected readonly requestors: Record<FeatureNames, Requestor>;
    // (undocumented)
    search(request: SearchRequest, requestOptions?: RequestOptions): Promise<SearchResponse>;
    // (undocumented)
    searchById(request: SearchByIdRequest, requestOptions?: RequestOptions): Promise<SearchByIdResponse>;
    // (undocumented)
    setConfig(newConfig: DeepPartial<EmpathyAdapterConfig>): void;
    // (undocumented)
    track(trackingRequest: TrackingRequest): Promise<void>;
}

// @public
export class EmpathyAdapterBuilder {
    constructor(container?: Container, defaultBindingsConfig?: BindingDictionary, adapterClass?: Newable<EmpathyAdapter>);
    // (undocumented)
    protected adapterClass: Newable<EmpathyAdapter>;
    // (undocumented)
    addClassMapper<Entity>(mapper: Newable<ResponseMapper<Entity>>, entity: EntityNames, feature?: FeatureNames): this;
    // (undocumented)
    addClassRequestMapper<Entity>(mapper: Newable<ResponseMapper<Entity>>, feature?: FeatureNames): this;
    // (undocumented)
    protected addHook(hook: Function, hookName: keyof typeof DEPENDENCIES.Hooks, feature?: FeatureNames): this;
    // (undocumented)
    addMapper(mapper: MapResponse, entity: EntityNames, feature?: FeatureNames): this;
    // (undocumented)
    addRequestMapper(mapper: MapResponse, feature?: FeatureNames): this;
    // (undocumented)
    build(): EmpathyAdapter;
    // (undocumented)
    protected completePartialFacetsConfig(): void;
    // (undocumented)
    protected config: EmpathyAdapterConfig;
    // Warning: (ae-forgotten-export) The symbol "ConfiguratorCallback" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected configurator?: ConfiguratorCallback;
    // (undocumented)
    configureContainer(configurator: ConfiguratorCallback): this;
    // (undocumented)
    protected container: Container;
    // (undocumented)
    protected createMapperClass(mapFn: MapResponse): Newable<ResponseMapper>;
    // (undocumented)
    protected createRequestMapperClass(mapFn: MapRequest): Newable<RequestMapper>;
    // (undocumented)
    protected defaultBindingsConfig: BindingDictionary;
    // Warning: (ae-forgotten-export) The symbol "EnableCacheOptions" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    enableCache({ storageService, cacheService }?: EnableCacheOptions): this;
    // (undocumented)
    protected initContainerBindings(): void;
    // (undocumented)
    onBeforeRequest(hook: BeforeRequest, feature?: FeatureNames): this;
    // (undocumented)
    onBeforeResponseTransformed<RawResponseType = any>(hook: BeforeResponseTransform<RawResponseType>, feature?: FeatureNames): this;
    // (undocumented)
    onResponseTransformed<RawResponseType = any, ResponseType = any>(hook: ResponseTransformed<RawResponseType, ResponseType>, feature?: FeatureNames): this;
    // (undocumented)
    replaceClassMapper<Entity>(mapper: Newable<ResponseMapper<Entity>>, entity: EntityNames): this;
    // (undocumented)
    replaceClassRequestMapper(mapper: Newable<RequestMapper>): this;
    // (undocumented)
    replaceMapper(mapper: MapResponse, entity: EntityNames): this;
    // (undocumented)
    replaceRequestMapper(mapper: MapRequest): this;
    // (undocumented)
    setEnvironment(environment: EmpathyAdapterConfig['env']): this;
    // (undocumented)
    setFacetConfig(config: DeepPartial<FacetConfig>, facetId?: string): this;
    // (undocumented)
    setFeatureConfig<Feature extends FeatureNames>(featureName: Feature, featureConfig: DeepPartial<FeatureConfig<Feature>>): this;
    // (undocumented)
    setInstance(instance: string): this;
    // (undocumented)
    setLang(lang: string): this;
    // (undocumented)
    setQueryConfig(queryConfig: DeepPartial<EmpathyAdapterConfig['mappings']['query']>): this;
    // (undocumented)
    setRequestParams(requestParams: Record<string, string>): this;
    // (undocumented)
    setResultTrackingConfig(resultTrackingConfig: DeepPartial<EmpathyAdapterConfig['mappings']['tracking']['result']>): this;
    // (undocumented)
    setScope(scope: string): this;
    // Warning: (ae-forgotten-export) The symbol "UserInfo" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    setUserInfo(user: UserInfo): this;
    // (undocumented)
    withConfiguration(config: DeepPartial<EmpathyAdapterConfig>): this;
}

// @public
export interface EmpathyAdapterConfig {
    // (undocumented)
    env: 'live' | 'staging' | 'test';
    // (undocumented)
    features: {
        [feature in FeatureNames]: FeatureConfig<feature>;
    };
    // (undocumented)
    instance: string;
    // (undocumented)
    mappings: {
        query: QueryConfig;
        facets: FacetsConfig;
        tracking: {
            result: TrackingResultConfig;
        };
    };
    // (undocumented)
    requestParams: {
        lang: string;
        scope: string;
        [key: string]: string;
    };
}

// @public
export type EmpathyAdapterConfigChangedListener = ConfigChangedListener<EmpathyAdapterConfig>;

// @public
export interface EmpathyBanner {
    // (undocumented)
    id: string;
    // (undocumented)
    imagename: string;
    // (undocumented)
    title: string;
    // (undocumented)
    trackable_url: string;
    // (undocumented)
    url: string;
}

// Warning: (ae-forgotten-export) The symbol "Banner" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyBannerMapper implements ResponseMapper<EmpathyBanner, Banner> {
    // Warning: (ae-forgotten-export) The symbol "TaggingInfo" needs to be exported by the entry point index.d.ts
    constructor(taggingMappers: ResponseMapper<string, TaggingInfo>[]);
    // (undocumented)
    map(rawBanner: EmpathyBanner, banner: Banner, context: ResponseMapperContext): Banner;
}

// Warning: (ae-forgotten-export) The symbol "Filter" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyBooleanFilterMapper implements ResponseMapper<EmpathyFilter, Filter> {
    // Warning: (ae-forgotten-export) The symbol "BooleanFilter" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    map(rawFilter: EmpathyFilter, filter: BooleanFilter, context: ResponseMapperContext): BooleanFilter;
}

// @public
export class EmpathyCacheService implements CacheService {
    constructor(storageService: StorageService);
    // (undocumented)
    clear(): number;
    // (undocumented)
    getItem<T = any>(key: string): T | null;
    // (undocumented)
    protected hash(key: string): string;
    // (undocumented)
    protected minutesToMilliseconds(minutes: number): number;
    // (undocumented)
    removeItem<T = any>(key: string): T | null;
    // (undocumented)
    setItem(key: string, item: any, ttlInMinutes: number): void;
    // (undocumented)
    protected readonly storageService: StorageService;
    // (undocumented)
    protected transformKey(key: string): string;
}

// Warning: (ae-forgotten-export) The symbol "BaseDiscoveryWallRecommendationsRequest" needs to be exported by the entry point index.d.ts
//
// @public
export interface EmpathyClicksRecommendationsRequest extends BaseDiscoveryWallRecommendationsRequest, Partial<EmpathyUserInfoRequest> {
    // (undocumented)
    productId: string[];
}

// @public
export class EmpathyClicksRecommendationsRequestMapper implements RequestMapper<ClicksRecommendationsRequest, EmpathyClicksRecommendationsRequest> {
    // (undocumented)
    map({ productIds, userType, user, session, ...rest }: ClicksRecommendationsRequest, request: EmpathyClicksRecommendationsRequest): EmpathyClicksRecommendationsRequest;
}

// @public
export interface EmpathyDirect {
    // (undocumented)
    id: string;
    // (undocumented)
    trackable_url: string;
    // (undocumented)
    url: string;
}

// @public
export class EmpathyEndpointsService implements EndpointsService {
    constructor(config: EmpathyAdapterConfig);
    // (undocumented)
    buildUrl(rawUrl: string): string;
}

// @public
export interface EmpathyFacet {
    // (undocumented)
    facet: string;
    // (undocumented)
    values: EmpathyFilter[];
}

// Warning: (ae-forgotten-export) The symbol "FacetFilter" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyFacetFilterMapper implements ResponseMapper<EmpathyFilter, FacetFilter> {
    // (undocumented)
    map(rawFilter: EmpathyFilter, filter: FacetFilter, context: ResponseMapperContext): FacetFilter;
}

// Warning: (ae-forgotten-export) The symbol "Facet" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyFacetMapper implements ResponseMapper<EmpathyFacet, Facet> {
    constructor(config: EmpathyAdapterConfig);
    // (undocumented)
    protected readonly facetsConfig: FacetsConfig;
    // (undocumented)
    map(rawFacet: EmpathyFacet, facet: Facet, context: ResponseMapperContext): Facet;
}

// @public
export interface EmpathyFilter {
    // (undocumented)
    count: number;
    // (undocumented)
    filter: string;
    // (undocumented)
    selected?: boolean;
    // (undocumented)
    value: string;
    // (undocumented)
    values?: EmpathyFilter[];
}

// Warning: (ae-forgotten-export) The symbol "HierarchicalFacet" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyHierarchicalFacetMapper implements ResponseMapper<EmpathyFacet, HierarchicalFacet> {
    constructor(filterMappers: ResponseMapper<EmpathyFilter, HierarchicalFilter>[]);
    // (undocumented)
    map(rawFacet: EmpathyFacet, facet: HierarchicalFacet, context: ResponseMapperContext): HierarchicalFacet;
    // (undocumented)
    protected mapDeepFilter(rawFilter: EmpathyFilter, initFilterProps: Readonly<Partial<HierarchicalFilter>>, context: ResponseMapperContext, filters: HierarchicalFilter[]): Filter['id'];
    // Warning: (ae-forgotten-export) The symbol "HierarchicalFilter" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected readonly mapFilter: MapFn<EmpathyFilter, HierarchicalFilter>;
    // (undocumented)
    protected mapFiltersTree(facet: HierarchicalFacet, rawFilters: EmpathyFilter[], context: ResponseMapperContext): HierarchicalFilter[];
}

// @public
export class EmpathyHierarchicalFilterMapper implements ResponseMapper<EmpathyFilter, HierarchicalFilter> {
    // (undocumented)
    map(rawFilter: EmpathyFilter, filter: HierarchicalFilter, context: ResponseMapperContext): HierarchicalFilter;
}

// @public
export interface EmpathyNextQueriesRequest {
    // (undocumented)
    lang: string;
    // (undocumented)
    q: string;
}

// @public
export interface EmpathyNextQuery {
    // (undocumented)
    query: string;
    // (undocumented)
    source?: 'CURATED' | 'ORGANIC' | 'ENRICHED';
}

// Warning: (ae-forgotten-export) The symbol "NextQuery" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyNextQueryMapper implements ResponseMapper<EmpathyNextQuery, NextQuery> {
    // (undocumented)
    map(rawNextQuery: EmpathyNextQuery, nextQuery: NextQuery): NextQuery;
}

// Warning: (ae-forgotten-export) The symbol "NumberRangeFacet" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyNumberRangeFacetMapper implements ResponseMapper<EmpathyFacet, NumberRangeFacet> {
    constructor(filterMappers: ResponseMapper<EmpathyFilter, NumberRangeFilter>[], config: EmpathyAdapterConfig);
    // (undocumented)
    protected readonly facetsConfig: FacetsConfig;
    // (undocumented)
    map(rawFacet: EmpathyFacet, facet: NumberRangeFacet, context: ResponseMapperContext): NumberRangeFacet;
    // Warning: (ae-forgotten-export) The symbol "NumberRangeFilter" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected readonly mapFilter: MapFn<EmpathyFilter, NumberRangeFilter>;
    // (undocumented)
    protected mapFilters(facet: NumberRangeFacet, rawFilters: EmpathyFilter[] | undefined, isDynamic: boolean, context: ResponseMapperContext): NumberRangeFilter[];
}

// @public
export class EmpathyNumberRangeFilterMapper implements ResponseMapper<EmpathyFilter, NumberRangeFilter> {
    // (undocumented)
    map(rawFilter: EmpathyFilter, filter: NumberRangeFilter, context: ResponseMapperContext): NumberRangeFilter;
}

// @public
export interface EmpathyPartialResult {
    // (undocumented)
    docs: EmpathyResult[];
    // (undocumented)
    numFound: number;
    // (undocumented)
    suggestion: string;
}

// Warning: (ae-forgotten-export) The symbol "PartialResult" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyPartialResultMapper implements ResponseMapper<EmpathyPartialResult, PartialResult> {
    constructor(resultMappers: ResponseMapper<EmpathyResult, Result>[]);
    // (undocumented)
    map(rawPartialResult: EmpathyPartialResult, partialResult: PartialResult, context: ResponseMapperContext): PartialResult;
}

// @public
export interface EmpathyPromoted {
    // (undocumented)
    id: string;
    // (undocumented)
    imagename: string;
    // (undocumented)
    title: string;
    // (undocumented)
    trackable_url: string;
    // (undocumented)
    url: string;
}

// Warning: (ae-forgotten-export) The symbol "Promoted" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyPromotedMapper implements ResponseMapper<EmpathyPromoted, Promoted> {
    constructor(taggingMappers: ResponseMapper<string, TaggingInfo>[]);
    // (undocumented)
    map(rawPromoted: EmpathyPromoted, promoted: Promoted, context: ResponseMapperContext): Promoted;
}

// @public
export interface EmpathyQueriesRecommendationsRequest extends BaseDiscoveryWallRecommendationsRequest, Partial<EmpathyUserInfoRequest> {
    // (undocumented)
    query: string[];
}

// @public
export class EmpathyQueriesRecommendationsRequestMapper implements RequestMapper<QueriesRecommendationsRequest, EmpathyQueriesRecommendationsRequest> {
    constructor(queryMapper: RequestMapper<string, string>[]);
    // (undocumented)
    map({ queries, userType, user, session, ...rest }: QueriesRecommendationsRequest, request: EmpathyQueriesRecommendationsRequest, context: RequestMapperContext): EmpathyQueriesRecommendationsRequest;
}

// @public
export class EmpathyQueryableRequestMapper implements RequestMapper<QueryableRequest & Dictionary<string>, Dictionary<string>> {
    constructor(queryMapper: RequestMapper<QueryableRequest, string>[]);
    // (undocumented)
    map({ query, ...rest }: QueryableRequest & Dictionary<string>, request: Dictionary<string>, context: RequestMapperContext): Dictionary<string>;
}

// Warning: (ae-forgotten-export) The symbol "Redirection" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyRedirectionMapper implements ResponseMapper<EmpathyDirect, Redirection> {
    constructor(taggingMappers: ResponseMapper<string, TaggingInfo>[]);
    // (undocumented)
    map(rawDirect: EmpathyDirect, redirection: Redirection, context: ResponseMapperContext): Redirection;
}

// @public
export interface EmpathyRelatedTag {
    // (undocumented)
    query: string;
    // (undocumented)
    source?: 'CURATED' | 'ORGANIC' | 'ENRICHED';
    // (undocumented)
    tag: string;
}

// Warning: (ae-forgotten-export) The symbol "RelatedTag" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyRelatedTagMapper implements ResponseMapper<EmpathyRelatedTag, RelatedTag> {
    // (undocumented)
    map(rawRelatedTag: EmpathyRelatedTag, relatedTag: RelatedTag): RelatedTag;
}

// @public
export interface EmpathyRelatedTagsRequest {
    // (undocumented)
    lang: string;
    // (undocumented)
    q: string;
}

// @public
export class EmpathyRequestFiltersMapper implements Mapper<Dictionary<Filter[]>, string[]> {
    constructor(filtersValueMappers: RequestMapper<Filter[], string[]>[]);
    // (undocumented)
    map(selectedFilters: Dictionary<Filter[]>, filtersValue: string[], context: RequestMapperContext): string[];
}

// @public
export class EmpathyRequestFiltersSolrSyntaxMapper implements Mapper<Filter[], string[]> {
    constructor(config: EmpathyAdapterConfig);
    // (undocumented)
    map(filters: Filter[], filterValues: string[]): string[];
}

// @public
export class EmpathyRequestParamsMapper implements RequestMapper<Dictionary<string>, Dictionary<string>> {
    constructor(config: EmpathyAdapterConfig);
    // (undocumented)
    map(_rawRequest: Dictionary<string>, request: Dictionary<string>): Dictionary<string>;
}

// @public
export class EmpathyRequestQueryMapper implements RequestMapper<QueryableRequest, string> {
    constructor(config: EmpathyAdapterConfig);
    // (undocumented)
    map(_: QueryableRequest, query: string): string;
    // (undocumented)
    protected normalizeQuery(query: string): string;
}

// Warning: (ae-forgotten-export) The symbol "Sort" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathyRequestSortMapper implements RequestMapper<Sort | undefined, string | undefined> {
    // (undocumented)
    map(rawSort: Sort | undefined): string | undefined;
}

// @public
export interface EmpathyResult {
    // (undocumented)
    eb_sku?: string;
    // (undocumented)
    ebTagging: {
        add2cart: string;
        click: string;
        conversion?: string;
        wishlist?: string;
    };
    // (undocumented)
    id: string;
    // (undocumented)
    image?: string;
    // (undocumented)
    isWishlisted?: boolean;
    // (undocumented)
    name: string;
    // (undocumented)
    originalPrice?: number | string;
    // (undocumented)
    price?: number | string;
    // (undocumented)
    rating?: string;
    // (undocumented)
    url: string;
}

// @public
export class EmpathyResultMapper implements ResponseMapper<EmpathyResult, Result> {
    constructor(config: EmpathyAdapterConfig, taggingMappers: ResponseMapper<string, TaggingInfo>[]);
    // (undocumented)
    map(rawResult: EmpathyResult, result: Result, context: ResponseMapperContext): Result;
}

// @public
export class EmpathyResultQueryTaggingMapper implements ResponseMapper<EmpathyResult, Result> {
    // Warning: (ae-forgotten-export) The symbol "Tagging" needs to be exported by the entry point index.d.ts
    constructor(config: EmpathyAdapterConfig, queryTaggingMappers: ResponseMapper<string, Tagging>[]);
    // (undocumented)
    map(_rawResult: EmpathyResult, result: Result, context: ResponseMapperContext): Result;
}

// @public
export interface EmpathySearchByIdRequest {
    // (undocumented)
    catalogue?: string;
    // (undocumented)
    lang: string;
    // (undocumented)
    q: string;
    // (undocumented)
    rows?: number;
    // (undocumented)
    store?: string;
    // (undocumented)
    warehouse?: string;
}

// @public
export interface EmpathySearchRequest {
    // (undocumented)
    catalogue?: string;
    // (undocumented)
    filter: string[];
    // (undocumented)
    lang: string;
    // (undocumented)
    origin?: string;
    // (undocumented)
    q: string;
    // (undocumented)
    rows?: number;
    // (undocumented)
    scope?: string;
    // (undocumented)
    sort?: string;
    // (undocumented)
    sortDirection?: string;
    // (undocumented)
    start?: number;
    // (undocumented)
    store?: string;
    // (undocumented)
    warehouse?: string;
}

// @public
export class EmpathySearchRequestMapper implements RequestMapper<SearchRequest, EmpathySearchRequest> {
    constructor(queryMapper: RequestMapper<QueryableRequest, string>[], filtersMapper: RequestMapper<Dictionary<Filter[]>, string[]>[], sortMappers: RequestMapper<Sort | undefined, string | undefined>[]);
    // (undocumented)
    map({ query, relatedTags, filters, sort, ...rest }: SearchRequest, request: EmpathySearchRequest, context: RequestMapperContext): EmpathySearchRequest;
}

// @public
export interface EmpathySectionRecommendationsRequest extends BaseDiscoveryWallRecommendationsRequest, Partial<EmpathyUserInfoRequest> {
    // (undocumented)
    section: string;
}

// @public
export class EmpathySectionRecommendationsRequestMapper implements RequestMapper<SectionRecommendationsRequest, EmpathySectionRecommendationsRequest> {
    // (undocumented)
    map({ section, origin, rows, start }: SectionRecommendationsRequest, request: EmpathySectionRecommendationsRequest): EmpathySectionRecommendationsRequest;
}

// Warning: (ae-forgotten-export) The symbol "SimpleFacet" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathySimpleFacetMapper implements ResponseMapper<EmpathyFacet, SimpleFacet> {
    constructor(filterMappers: ResponseMapper<EmpathyFilter, SimpleFilter>[]);
    // (undocumented)
    map(rawFacet: EmpathyFacet, facet: SimpleFacet, context: ResponseMapperContext): SimpleFacet;
    // Warning: (ae-forgotten-export) The symbol "SimpleFilter" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    protected readonly mapFilter: MapFn<EmpathyFilter, SimpleFilter>;
    // (undocumented)
    protected mapFilters(facet: SimpleFacet, rawFilters: EmpathyFilter[] | undefined, context: ResponseMapperContext): SimpleFilter[];
}

// @public
export class EmpathySimpleFilterMapper implements ResponseMapper<EmpathyFilter, SimpleFilter> {
    // (undocumented)
    map(rawFilter: EmpathyFilter, filter: SimpleFilter, context: ResponseMapperContext): SimpleFilter;
}

// @public
export class EmpathySimpleRequestMapper implements RequestMapper<Dictionary<string>, Dictionary<string>> {
    // (undocumented)
    map(rawRequest: Dictionary<string>, request: Dictionary<string>): Dictionary<string>;
}

// @public
export class EmpathySimpleValueMapper<From> implements ResponseMapper<From, From> {
    // (undocumented)
    map(rawValue: From): From;
}

// @public
export interface EmpathySuggestion {
    // (undocumented)
    facets?: EmpathyFacet[];
    // (undocumented)
    title: string;
    // (undocumented)
    title_raw: string;
}

// Warning: (ae-forgotten-export) The symbol "Suggestion" needs to be exported by the entry point index.d.ts
//
// @public
export class EmpathySuggestionFacetsMapper implements ResponseMapper<EmpathySuggestion, Suggestion> {
    constructor(facetMappers: ResponseMapper<EmpathyFacet, Facet>[]);
    // (undocumented)
    map({ facets }: EmpathySuggestion, suggestion: Suggestion, context: ResponseMapperContext): Suggestion;
}

// @public
export class EmpathySuggestionMapper implements ResponseMapper<EmpathySuggestion, Suggestion> {
    // (undocumented)
    map({ title_raw }: EmpathySuggestion, suggestion: Suggestion, context: ResponseMapperContext): Suggestion;
}

// @public
export interface EmpathySuggestionsRequest {
    // (undocumented)
    catalogue?: string;
    // (undocumented)
    lang: string;
    // (undocumented)
    q?: string;
    // (undocumented)
    rows?: number;
    // (undocumented)
    store?: string;
    // (undocumented)
    warehouse?: string;
}

// @public
export class EmpathyTaggingMapper implements ResponseMapper<string, TaggingInfo> {
    // (undocumented)
    map(taggingUrl: string, tagging: TaggingInfo): TaggingInfo;
}

// @public
export interface EmpathyTopRecommendationsRequest {
    // (undocumented)
    catalogue?: string;
    // (undocumented)
    lang: string;
    // (undocumented)
    origin?: string;
    // (undocumented)
    q?: string;
    // (undocumented)
    rows?: number;
    // (undocumented)
    scope: string;
    // (undocumented)
    store?: string;
    // (undocumented)
    warehouse?: string;
}

// @public
export class EmpathyUserInfoMapper implements RequestMapper<UserContextRequest, EmpathyUserInfoRequest> {
    // (undocumented)
    map({ userType, session, user }: UserContextRequest, request: EmpathyUserInfoRequest): EmpathyUserInfoRequest;
}

// @public
export interface EmpathyUserInfoRequest {
    // (undocumented)
    session: string;
    // (undocumented)
    user: string;
    // (undocumented)
    user_type: string;
}

// @public
export interface EmpathyUserRecommendationsRequest extends BaseDiscoveryWallRecommendationsRequest, EmpathyUserInfoRequest {
}

// @public
export interface EndpointsService {
    // (undocumented)
    buildUrl(rawUrl: string): string;
}

// @public
export type EntityNames = Exclude<keyof (typeof DEPENDENCIES)['ResponseMappers'], 'Helpers'>;

// @public
export interface ExtraParamsRequest {
    // (undocumented)
    [key: string]: unknown;
}

// @public
export interface FacetConfig {
    // (undocumented)
    isDynamic: boolean;
    // Warning: (ae-forgotten-export) The symbol "FacetModelName" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    modelName: FacetModelName;
    // (undocumented)
    template?: string;
}

// @public
export interface FacetsConfig {
    // (undocumented)
    default: FacetConfig;
    // (undocumented)
    named: Dictionary<FacetConfig>;
}

// @public
export interface FeatureConfig<Feature extends FeatureNames> {
    // (undocumented)
    cacheTTLInMinutes?: number;
    // (undocumented)
    endpoint: string;
    // (undocumented)
    responsePaths: Record<(keyof (FeaturesResponseTypes[Feature]) | string), string>;
}

// @public
export type FeatureNames = 'nextQueries' | 'topRecommendations' | 'sectionRecommendations' | 'clicksRecommendations' | 'queriesRecommendations' | 'userRecommendations' | 'relatedTags' | 'suggestions' | 'search' | 'searchById' | 'track';

// @public
export class FeatureRequestor<RequestType, ResponseType extends Dictionary<any>> implements Requestor<RequestType, ResponseType> {
    constructor(config: EmpathyAdapterConfig, feature: FeatureNames, httpClient: HttpClient, endpointsService: EndpointsService, requestMappers: ResponseMapper[], mappers: Record<EntityNames, ResponseMapper[]>, beforeRequest?: BeforeRequest[], beforeResponseTransformed?: BeforeResponseTransform[], responseTransformed?: ResponseTransformed[]);
    // (undocumented)
    protected readonly beforeRequest: BeforeRequest[];
    // (undocumented)
    protected readonly beforeResponseTransformed: BeforeResponseTransform[];
    // (undocumented)
    protected readonly config: EmpathyAdapterConfig;
    // (undocumented)
    protected readonly endpointsService: EndpointsService;
    // (undocumented)
    protected readonly feature: FeatureNames;
    // (undocumented)
    protected featureConfig: FeatureConfig<any>;
    // (undocumented)
    protected readonly httpClient: HttpClient;
    // (undocumented)
    protected mapRequest: MapRequest;
    // (undocumented)
    request(rawRequest: RequestType, requestOptions?: RequestOptions): Promise<ResponseType>;
    // (undocumented)
    protected responseMappers: Record<EntityNames, MapFn>;
    // (undocumented)
    protected readonly responseTransformed: ResponseTransformed[];
    // (undocumented)
    protected runHooks(hooks: Function[], context: BeforeRequestContext | BeforeResponseTransformContext | ResponseTransformedContext): void;
    // (undocumented)
    protected transformResponse(rawResponse: any, context: ResponseMapperContext): ResponseType;
    // (undocumented)
    protected transformResponseSelection(rawResponseSelection: any, entityName: EntityNames, context: ResponseMapperContext): any;
}

// @public
export interface FeaturesResponseTypes {
    // (undocumented)
    clicksRecommendations: ClicksRecommendationsResponse;
    // (undocumented)
    nextQueries: NextQueriesResponse;
    // (undocumented)
    queriesRecommendations: QueriesRecommendationsResponse;
    // (undocumented)
    relatedTags: RelatedTagsResponse;
    // (undocumented)
    search: SearchResponse;
    // (undocumented)
    searchById: SearchByIdResponse;
    // (undocumented)
    sectionRecommendations: SectionRecommendationsResponse;
    // (undocumented)
    suggestions: SuggestionsResponse;
    // (undocumented)
    topRecommendations: TopRecommendationsResponse;
    // (undocumented)
    track: void;
    // (undocumented)
    userRecommendations: UserRecommendationsResponse;
}

// @public
export class FetchHttpClient implements HttpClient {
    constructor(cache?: CacheService | undefined);
    // (undocumented)
    protected buildUrl(endpoint: string, params: Dictionary): string;
    // (undocumented)
    protected readonly cache?: CacheService | undefined;
    // (undocumented)
    protected cancelPreviousRequest(requestId: string): void;
    // (undocumented)
    protected createAbortController(requestId: string): AbortSignal;
    // (undocumented)
    get<T>(endpoint: string, params?: Dictionary, { requestId, headers, ttlInMinutes }?: RequestOptions): Promise<T>;
    // (undocumented)
    protected getRequestOptions(requestId: string, headers: Dictionary<string>): RequestInit;
    // (undocumented)
    protected parseResponse(response: Response): Promise<any>;
    // (undocumented)
    protected requestsAbortControllers: Dictionary<AbortController>;
    // (undocumented)
    protected storeInCache<T>(url: string, ttlInMinutes: number): (response: T) => T;
}

// @public
export interface FilterableRequest {
    // (undocumented)
    filters?: Dictionary<Filter[]>;
}

// @public
export interface FilterValueMapperParams {
    // (undocumented)
    config: EmpathyAdapterConfig;
    // (undocumented)
    filter: Filter;
}

// @public
export interface HttpClient {
    // (undocumented)
    get<T>(url: string, params?: Dictionary<any>, requestOptions?: RequestOptions): Promise<T>;
}

// @public
export type MapFn<From = any, To = any, Context = any> = Mapper<From, To, Context>['map'];

// @public
export interface Mapper<From = any, To = any, Context = any> {
    // (undocumented)
    map(from: From, to: To, context: Context): To;
}

// @public
export type MapRequest<From = any, To = any> = MapFn<From, To, RequestMapperContext>;

// @public
export type MapResponse<From = any, To = any> = MapFn<From, To, ResponseMapperContext>;

// @public
export type Newable<T = any> = new (...args: any[]) => T;

// @public
export interface NextQueriesRequest extends QueryableRequest, ExtraParamsRequest {
}

// @public
export interface NextQueriesResponse {
    // (undocumented)
    nextQueries: NextQuery[];
}

// @public
export interface PageableRequest {
    // (undocumented)
    rows?: number;
    // (undocumented)
    start?: number;
}

// @public
export interface ParentBinding {
    // (undocumented)
    default?: ClassBinding;
    // (undocumented)
    whenInjectedInto: Dictionary<ClassBinding>;
}

// @public
export interface ParentConstantBinding<T = any> {
    // (undocumented)
    toConstantWhenInjectedInto: Dictionary<T>;
}

// @public
export function pipeMappers<From, To, Context>(...mappers: Mapper<From, To, Context>[]): MapFn<From, To, Context>;

// @public
export type Primitive = string | number | boolean | undefined | null | Symbol | Function;

// @public
export interface QueriesRecommendationsRequest extends TrackableRequest, PageableRequest, UserContextRequest, ExtraParamsRequest {
    // (undocumented)
    queries: string[];
    // (undocumented)
    section?: string;
}

// @public
export interface QueriesRecommendationsResponse extends TrackableShowResponse {
    // (undocumented)
    results: Result[];
    // (undocumented)
    totalResults: number;
}

// @public
export interface QueryableRequest {
    // (undocumented)
    query: string;
}

// @public
export interface QueryConfig {
    // (undocumented)
    maxLength: number;
    // (undocumented)
    maxWords: number;
}

// @public
export interface RelatedTagsRequest extends QueryableRequest, ExtraParamsRequest {
}

// @public
export interface RelatedTagsResponse {
    // (undocumented)
    relatedTags: RelatedTag[];
}

// @public
export class RequestError extends Error {
    constructor(message: string, response: Response);
    // (undocumented)
    readonly message: string;
    // (undocumented)
    readonly response: Response;
}

// @public
export interface RequestMapper<From = any, To = any> extends Mapper<From, To, Readonly<RequestMapperContext>> {
}

// @public
export interface RequestMapperContext {
    // (undocumented)
    [key: string]: any;
    // (undocumented)
    readonly feature: string;
    // (undocumented)
    readonly requestOptions: RequestOptions;
    // (undocumented)
    readonly url: string;
}

// @public
export interface RequestOptions {
    // (undocumented)
    [key: string]: any;
    // (undocumented)
    headers?: Dictionary<string>;
    // (undocumented)
    requestId?: string;
    // (undocumented)
    ttlInMinutes?: number;
}

// @public
export interface Requestor<RequestType = any, ResponseType = any> {
    // (undocumented)
    request(params: RequestType, requestOptions?: RequestOptions): Promise<ResponseType>;
}

// @public
export class Requestors implements Record<FeatureNames, Requestor> {
    constructor(nextQueries: Requestor<NextQueriesRequest, NextQueriesResponse>, topRecommendations: Requestor<TopRecommendationsRequest, TopRecommendationsResponse>, sectionRecommendations: Requestor<SectionRecommendationsRequest, SectionRecommendationsResponse>, clicksRecommendations: Requestor<ClicksRecommendationsRequest, ClicksRecommendationsResponse>, queriesRecommendations: Requestor<QueriesRecommendationsRequest, QueriesRecommendationsResponse>, userRecommendations: Requestor<UserRecommendationsRequest, UserRecommendationsResponse>, relatedTags: Requestor<RelatedTagsRequest, RelatedTagsResponse>, searchById: Requestor<SearchByIdRequest, SearchByIdResponse>, search: Requestor<SearchRequest, SearchResponse>, suggestions: Requestor<SuggestionsRequest, SuggestionsResponse>, track: Requestor<TrackingRequest, void>);
    // (undocumented)
    readonly clicksRecommendations: Requestor<ClicksRecommendationsRequest, ClicksRecommendationsResponse>;
    // (undocumented)
    readonly nextQueries: Requestor<NextQueriesRequest, NextQueriesResponse>;
    // (undocumented)
    readonly queriesRecommendations: Requestor<QueriesRecommendationsRequest, QueriesRecommendationsResponse>;
    // (undocumented)
    readonly relatedTags: Requestor<RelatedTagsRequest, RelatedTagsResponse>;
    // (undocumented)
    readonly search: Requestor<SearchRequest, SearchResponse>;
    // (undocumented)
    readonly searchById: Requestor<SearchByIdRequest, SearchByIdResponse>;
    // (undocumented)
    readonly sectionRecommendations: Requestor<SectionRecommendationsRequest, SectionRecommendationsResponse>;
    // (undocumented)
    readonly suggestions: Requestor<SuggestionsRequest, SuggestionsResponse>;
    // (undocumented)
    readonly topRecommendations: Requestor<TopRecommendationsRequest, TopRecommendationsResponse>;
    // (undocumented)
    readonly track: Requestor<TrackingRequest, void>;
    // (undocumented)
    readonly userRecommendations: Requestor<UserRecommendationsRequest, UserRecommendationsResponse>;
}

// @public
export interface ResponseMapper<From = any, To = any> extends Mapper<From, To, Readonly<ResponseMapperContext>> {
}

// @public
export interface ResponseMapperContext<RequestType = any, RawResponseType = any> extends RequestMapperContext {
    // (undocumented)
    readonly rawRequest: Readonly<RequestType>;
    // (undocumented)
    readonly rawResponse: Readonly<RawResponseType>;
    // (undocumented)
    readonly request: Dictionary<any>;
}

// @public
export class ResponseMappers implements Record<Exclude<EntityNames, 'simpleFilter' | 'hierarchicalFilter' | 'numberRangeFilter'>, ResponseMapper[]> {
    constructor(banners: ResponseMapper[], facets: ResponseMapper[], nextQueries: ResponseMapper[], partialResults: ResponseMapper[], promoteds: ResponseMapper[], queryTagging: ResponseMapper[], redirections: ResponseMapper[], relatedTags: ResponseMapper[], results: ResponseMapper[], showTagging: ResponseMapper[], spellcheck: ResponseMapper[], suggestions: ResponseMapper[], totalResults: ResponseMapper[]);
    // (undocumented)
    readonly banners: ResponseMapper[];
    // (undocumented)
    readonly facets: ResponseMapper[];
    // (undocumented)
    readonly nextQueries: ResponseMapper[];
    // (undocumented)
    readonly partialResults: ResponseMapper[];
    // (undocumented)
    readonly promoteds: ResponseMapper[];
    // (undocumented)
    readonly queryTagging: ResponseMapper[];
    // (undocumented)
    readonly redirections: ResponseMapper[];
    // (undocumented)
    readonly relatedTags: ResponseMapper[];
    // (undocumented)
    readonly results: ResponseMapper[];
    // (undocumented)
    readonly showTagging: ResponseMapper[];
    // (undocumented)
    readonly spellcheck: ResponseMapper[];
    // (undocumented)
    readonly suggestions: ResponseMapper[];
    // (undocumented)
    readonly totalResults: ResponseMapper[];
}

// @public
export type ResponseTransformed<RawResponseType = any, ResponseType = any> = (context: ResponseTransformedContext<RawResponseType, ResponseType>) => void;

// @public
export interface ResponseTransformedContext<RawResponseType = any, ResponseType = any> extends BeforeResponseTransformContext<RawResponseType> {
    // (undocumented)
    response: ResponseType;
}

// @public
export interface SearchAdapter<Config = any> {
    // (undocumented)
    addConfigChangedListener?(listener: ConfigChangedListener<Config>): void;
    // (undocumented)
    getClicksRecommendations(request: ClicksRecommendationsRequest, requestOptions?: RequestOptions): Promise<ClicksRecommendationsResponse>;
    // (undocumented)
    getNextQueries(request: NextQueriesRequest, requestOptions?: RequestOptions): Promise<NextQueriesResponse>;
    // (undocumented)
    getQueriesRecommendations(request: QueriesRecommendationsRequest, requestOptions?: RequestOptions): Promise<QueriesRecommendationsResponse>;
    // (undocumented)
    getRelatedTags(request: RelatedTagsRequest, requestOptions?: RequestOptions): Promise<RelatedTagsResponse>;
    // (undocumented)
    getSectionRecommendations(request: SectionRecommendationsRequest, requestOptions?: RequestOptions): Promise<SectionRecommendationsResponse>;
    // (undocumented)
    getSuggestions(request: SuggestionsRequest, requestOptions?: RequestOptions): Promise<SuggestionsResponse>;
    // (undocumented)
    getTopRecommendations(request: TopRecommendationsRequest, requestOptions?: RequestOptions): Promise<TopRecommendationsResponse>;
    // (undocumented)
    getUserRecommendations(request: UserRecommendationsRequest, requestOptions?: RequestOptions): Promise<UserRecommendationsResponse>;
    // (undocumented)
    invalidateCache?(): void;
    // (undocumented)
    removeConfigChangedListener?(listener: ConfigChangedListener<Config>): void;
    // (undocumented)
    search(request: SearchRequest, requestOptions?: RequestOptions): Promise<SearchResponse>;
    // (undocumented)
    searchById(request: SearchByIdRequest, requestOptions?: RequestOptions): Promise<SearchByIdResponse>;
    // (undocumented)
    setConfig?(config: DeepPartial<Config>): void;
    // (undocumented)
    track(request: TrackingRequest): Promise<void>;
}

// @public
export interface SearchByIdRequest extends QueryableRequest, PageableRequest, TrackableRequest, ExtraParamsRequest {
}

// @public
export interface SearchByIdResponse {
    // (undocumented)
    results: Result[];
}

// @public
export interface SearchRequest extends QueryableRequest, FilterableRequest, PageableRequest, TrackableRequest, ExtraParamsRequest {
    // (undocumented)
    sort?: Sort;
}

// @public
export interface SearchResponse {
    // (undocumented)
    banners: Banner[];
    // (undocumented)
    facets?: Facet[];
    // (undocumented)
    partialResults: PartialResult[];
    // (undocumented)
    promoteds: Promoted[];
    // (undocumented)
    queryTagging: TaggingInfo;
    // (undocumented)
    redirections: Redirection[];
    // (undocumented)
    results: Result[];
    // (undocumented)
    spellcheck: string;
    // (undocumented)
    totalResults: number;
}

// @public
export interface SectionRecommendationsRequest extends TrackableRequest, PageableRequest, UserContextRequest, ExtraParamsRequest {
    // (undocumented)
    section: string;
}

// @public
export interface SectionRecommendationsResponse extends TrackableShowResponse {
    // (undocumented)
    results: Result[];
}

// @public
export interface SimpleConstantBinding<T = any> {
    // (undocumented)
    toConstant: T;
}

// @public
export interface SuggestionsRequest extends Partial<QueryableRequest>, PageableRequest, ExtraParamsRequest {
}

// @public
export interface SuggestionsResponse {
    // (undocumented)
    suggestions: Suggestion[];
}

// @public
export interface TopRecommendationsRequest extends Partial<QueryableRequest>, PageableRequest, TrackableRequest, ExtraParamsRequest {
}

// @public
export interface TopRecommendationsResponse {
    // (undocumented)
    results: Result[];
}

// @public
export interface TrackableRequest {
    // (undocumented)
    origin?: string;
}

// @public
export interface TrackableShowResponse {
    // (undocumented)
    showTagging: TaggingInfo;
}

// @public
export interface TrackingRequest {
    // (undocumented)
    params: Dictionary<any>;
    // (undocumented)
    url: string;
}

// @public
export interface TrackingResultConfig {
    // (undocumented)
    [key: string]: string;
    // (undocumented)
    add2cart: string;
    // (undocumented)
    checkout: string;
    // (undocumented)
    click: string;
}

// @public
export interface UserContextRequest {
    // (undocumented)
    session: string;
    // (undocumented)
    user: string;
    // (undocumented)
    userType: string;
}

// @public
export interface UserRecommendationsRequest extends TrackableRequest, PageableRequest, UserContextRequest, ExtraParamsRequest {
    // (undocumented)
    section?: string;
}

// @public
export interface UserRecommendationsResponse extends TrackableShowResponse {
    // (undocumented)
    results: Result[];
    // (undocumented)
    totalResults: number;
}

```
