import { Filter, Sort } from '@empathyco/x-types';
import { Dictionary, QueryableRequest, SearchRequest } from '../../../types';
import { RequestMapper, RequestMapperContext } from '../../empathy-adapter.types';
import { EmpathySearchRequest } from '../../models';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
export declare class EmpathySearchRequestMapper implements RequestMapper<SearchRequest, EmpathySearchRequest> {
    private readonly mapFilters;
    private readonly mapQuery;
    private readonly mapSort;
    constructor(queryMapper: RequestMapper<QueryableRequest, string>[], filtersMapper: RequestMapper<Dictionary<Filter[]>, string[]>[], sortMappers: RequestMapper<Sort | undefined, string | undefined>[]);
    map({ query, relatedTags, filters, sort, ...rest }: SearchRequest, request: EmpathySearchRequest, context: RequestMapperContext): EmpathySearchRequest;
}
