import { Filter } from '@empathyco/x-types';
import { EmpathyAdapterConfig } from '../../../config/empathy-adapter-config.types';
import { Mapper } from '../../../empathy-adapter.types';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
export declare class EmpathyRequestFiltersSolrSyntaxMapper implements Mapper<Filter[], string[]> {
    private readonly config;
    constructor(config: EmpathyAdapterConfig);
    private readonly logger;
    map(filters: Filter[], filterValues: string[]): string[];
    private composeFilters;
    private mapEditableNumberRangeFiltersList;
    private mapEditableNumberRangeFilter;
    /**
     * Check if the filters passed are of type {@link @empathyco/x-types#EditableNumberRangeFilter | EditableNumberRangeFilter}.
     *
     * @param filters - The array of filters to check.
     *
     * @internal
     */
    private isArrayOfEditableNumberRangeFilters;
}
