import { SimpleFacet, SimpleFilter } from '@empathyco/x-types';
import { MapFn, ResponseMapper, ResponseMapperContext } from '../../../empathy-adapter.types';
import { EmpathyFacet, EmpathyFilter } from '../../../models';
/**
 * Simple Empathy facet mapper.
 *
 * @public
 */
export declare class EmpathySimpleFacetMapper implements ResponseMapper<EmpathyFacet, SimpleFacet> {
    protected readonly mapFilter: MapFn<EmpathyFilter, SimpleFilter>;
    constructor(filterMappers: ResponseMapper<EmpathyFilter, SimpleFilter>[]);
    map(rawFacet: EmpathyFacet, facet: SimpleFacet, context: ResponseMapperContext): SimpleFacet;
    protected mapFilters(facet: SimpleFacet, rawFilters: EmpathyFilter[] | undefined, context: ResponseMapperContext): SimpleFilter[];
}
