import { ClicksRecommendationsRequest, ClicksRecommendationsResponse, FeatureNames, NextQueriesRequest, NextQueriesResponse, QueriesRecommendationsRequest, QueriesRecommendationsResponse, RelatedTagsRequest, RelatedTagsResponse, SearchByIdRequest, SearchByIdResponse, SearchRequest, SearchResponse, SectionRecommendationsRequest, SectionRecommendationsResponse, SuggestionsRequest, SuggestionsResponse, TopRecommendationsRequest, TopRecommendationsResponse, TrackingRequest, UserRecommendationsRequest, UserRecommendationsResponse } from '../../types';
import { Requestor } from '../empathy-adapter.types';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
export declare class Requestors implements Record<FeatureNames, Requestor> {
    readonly nextQueries: Requestor<NextQueriesRequest, NextQueriesResponse>;
    readonly topRecommendations: Requestor<TopRecommendationsRequest, TopRecommendationsResponse>;
    readonly sectionRecommendations: Requestor<SectionRecommendationsRequest, SectionRecommendationsResponse>;
    readonly clicksRecommendations: Requestor<ClicksRecommendationsRequest, ClicksRecommendationsResponse>;
    readonly queriesRecommendations: Requestor<QueriesRecommendationsRequest, QueriesRecommendationsResponse>;
    readonly userRecommendations: Requestor<UserRecommendationsRequest, UserRecommendationsResponse>;
    readonly relatedTags: Requestor<RelatedTagsRequest, RelatedTagsResponse>;
    readonly searchById: Requestor<SearchByIdRequest, SearchByIdResponse>;
    readonly search: Requestor<SearchRequest, SearchResponse>;
    readonly suggestions: Requestor<SuggestionsRequest, SuggestionsResponse>;
    readonly track: Requestor<TrackingRequest, void>;
    constructor(nextQueries: Requestor<NextQueriesRequest, NextQueriesResponse>, topRecommendations: Requestor<TopRecommendationsRequest, TopRecommendationsResponse>, sectionRecommendations: Requestor<SectionRecommendationsRequest, SectionRecommendationsResponse>, clicksRecommendations: Requestor<ClicksRecommendationsRequest, ClicksRecommendationsResponse>, queriesRecommendations: Requestor<QueriesRecommendationsRequest, QueriesRecommendationsResponse>, userRecommendations: Requestor<UserRecommendationsRequest, UserRecommendationsResponse>, relatedTags: Requestor<RelatedTagsRequest, RelatedTagsResponse>, searchById: Requestor<SearchByIdRequest, SearchByIdResponse>, search: Requestor<SearchRequest, SearchResponse>, suggestions: Requestor<SuggestionsRequest, SuggestionsResponse>, track: Requestor<TrackingRequest, void>);
}
